Magick::DrawableStrokeOpacity Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawableStrokeOpacity:
[legend]
Collaboration diagram for Magick::DrawableStrokeOpacity:
[legend]

## Public Member Functions

| DrawableStrokeOpacity (double opacity_)
| ~DrawableStrokeOpacity (void)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | opacity (double opacity_)
double | opacity (void) const
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 1941 of file Drawable.h.

## Constructor & Destructor Documentation

## DrawableStrokeOpacity()

Magick::DrawableStrokeOpacity::DrawableStrokeOpacity | ( | double | opacity_ | ) |

inline

Definition at line 1945 of file Drawable.h.

## ~DrawableStrokeOpacity()

Magick::DrawableStrokeOpacity::~DrawableStrokeOpacity | ( | void |  | ) |

Definition at line 1410 of file Drawable.cpp.

## Member Function Documentation

## copy()

Magick::DrawableBase * Magick::DrawableStrokeOpacity::copy | ( |  | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1420 of file Drawable.cpp.

## opacity() [1/2]

void Magick::DrawableStrokeOpacity::opacity | ( | double | opacity_ | ) |

inline

Definition at line 1958 of file Drawable.h.

## opacity() [2/2]

double Magick::DrawableStrokeOpacity::opacity | ( | void |  | ) | const

inline

Definition at line 1963 of file Drawable.h.

## operator()()

void Magick::DrawableStrokeOpacity::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1415 of file Drawable.cpp.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp